lev

## Class LOutFile

- java.lang.Object
- - lev.LExport
  - - lev.LOutFile

-     public class LOutFile
      extends LExport

  A BufferedOutputStream with easy to use write functions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LOutFile(java.io.File file)`
    `LOutFile(java.lang.String path)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Flushes buffer and closes output stream.
    `void` | `openOutput(java.lang.String path)`
    `void` | `write(byte b)`
    `void` | `write(byte[] array)` Writes a byte array to the file.

    - ### Methods inherited from class lev.LExport

      `write, write, write, write, write, write, write, writeZeros`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LOutFile

          public LOutFile(java.io.File file)
                   throws java.io.FileNotFoundException

      Parameters:
        `file` - File to open an exporter to.
      Throws:
        `java.io.FileNotFoundException`

    - #### LOutFile

          public LOutFile(java.lang.String path)
                   throws java.io.FileNotFoundException

      Parameters:
        `path` - Path to open an exporter to.
      Throws:
        `java.io.FileNotFoundException`

  - ### Method Detail

    - #### write

          public void write(byte b)
                     throws java.io.IOException

      Specified by:
        `write` in class `LExport`
      Parameters:
        `b` -
      Throws:
        `java.io.IOException`

    - #### write

          public void write(byte[] array)
                     throws java.io.IOException

      Description copied from class: `LExport`
      Writes a byte array to the file.
      Specified by:
        `write` in class `LExport`
      Throws:
        `java.io.IOException`

    - #### openOutput

          public void openOutput(java.lang.String path)
                          throws java.io.FileNotFoundException

      Specified by:
        `openOutput` in class `LExport`
      Parameters:
        `path` - Path to open a channel to.
      Throws:
        `java.io.FileNotFoundException`

    - #### close

          public void close()
                     throws java.io.IOException

      Description copied from class: `LExport`
      Flushes buffer and closes output stream.
      Specified by:
        `close` in class `LExport`
      Throws:
        `java.io.IOException`